provider.h File Reference
`#include <com/lomiri/location/criteria.h>`
`#include <com/lomiri/location/heading.h>`
`#include <com/lomiri/location/position.h>`
`#include <com/lomiri/location/space_vehicle.h>`
`#include <com/lomiri/location/update.h>`
`#include <com/lomiri/location/velocity.h>`
`#include <com/lomiri/location/wifi_and_cell_reporting_state.h>`
`#include <core/property.h>`
`#include <core/signal.h>`
`#include <atomic>`
`#include <bitset>`
`#include <memory>`
Include dependency graph for provider.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | com::lomiri::location::Provider
| The Provider class is the abstract base of all positioning providers. More...
class | com::lomiri::location::Provider::Controller
| Facade for controlling the state of position/heading/velocity updates. More...
struct | com::lomiri::location::Provider::Updates
| Wraps all updates that can be delivered by a provider. More...

## Namespaces

namespace | com
namespace | com::lomiri
namespace | com::lomiri::location

## Functions

Provider::Features | com::lomiri::location::operator| (Provider::Features lhs, Provider::Features rhs)
Provider::Features | com::lomiri::location::operator& (Provider::Features lhs, Provider::Features rhs)
Provider::Requirements | com::lomiri::location::operator| (Provider::Requirements lhs, Provider::Requirements rhs)
Provider::Requirements | com::lomiri::location::operator& (Provider::Requirements lhs, Provider::Requirements rhs)